import lume from "https://deno.land/x/lume@v1.6.4/mod.ts";
import postcss from "https:/deno.land/x/lume@v1.6.4/plugins/postcss.ts";

const markdown = { options: { breaks: true } };

const site = lume({}, { markdown });

site.use(postcss());

site.loadAssets([
  ".png",
  ".jpg",
  ".svg",
  ".pdf",
  ".woff2",
  ".woff",
  ".ttf",
  ".otf",
  ".js",
  ".txt",
]);

site.filter("title", (value = '') => value + (value ? " | " : "") + "MiOM");

site.filter("objectToArray", (value = {}) => Object.keys(value)
  .sort()
  .map(key => value[key])
  .filter(val => !!val)
);

export default site;
